Unable to run .NET API in .NET 6 environment

Due to requirements at work we have been forced to update all of our macros from .NET Framework to .NET 6. This has caused our macros to stop working due to the reliance on System.Runtime.Remoting reference in the Framework dll. Are there any plans in the future to update the .NET API so it can operate in .NET 6?

Tags:

Labels:

Reflection
Parents Reply
  • Hi again, James. Thanks for sharing the Reflection Desktop version you're using and also for your patience. When you refer to ".NET 6", I believe you're talking about Microsoft's .NET Core platform, which has evolved from the .NET Framework. Reflection Desktop (current version is 18) currently supports .NET Framework applications only, but we do plan to support .NET Core in a future release. May I inquire as to what is driving your use of .NET Core today (as both Windows 11 and latest versions of Visual Studio still support the .NET Framework)? Thanks.

Children
No Data